/* ===========================
   Contact Info Styling
   =========================== */
.contact-info {
  background: #f9f9f9;
  padding: 30px;
  border-radius: 8px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.05);
}

.contact-icon {
  font-size: 20px;
  float: left;
  width: 44px;
  height: 44px;
  background: var( --secondary-color);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  color: var(--white);
  transition: background-color 0.3s ease;
  margin-right: 10px;
}

.contact-icon:hover {
  background-color: var(--primary-color);
}

.contact-info h4 {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 5px;
  padding-left: 60px;
  color: var( --secondary-color);
}

.contact-info p {
  padding-left: 60px;
  margin-bottom: 16px;
  font-size: 14px;
  line-height: 1.6;
  color: #333;
}

/* ===========================
   Social Icons Styling
   =========================== */
.social-icon {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 36px;
  height: 36px;
  margin-right: 8px;
  border-radius: 50%;
  border:1px solid #333;
  color:#333;
  font-size: 16px;
  transition: 0.3s;
  text-decoration: none;
}

.social-icon:hover {
  border-color: var(--primary-color);
  background: var(--primary-color);
  color: #fff;
}

.send-msg-btn{
    padding: 6px 20px;
    border: 2px solid var(--primary-color);
    background-color: var(--primary-color);
    color: #000;
    border-radius: 30px;
}

.send-msg-btn:hover{
   border: 2px solid var(--primary-color) !important;
    background-color: var(--primary-dark) !important;
    color: var(--white) !important;
}
/* ===========================
   Responsive Adjustments
   =========================== */
@media (max-width: 768px) {
  .contact-info {
    padding: 20px;
  }

  .contact-info h4,
  .contact-info p {
    padding-left: 50px;
  }

  .contact-icon {
    width: 36px;
    height: 36px;
    font-size: 16px;
  }
}

.map-container {
  position: relative;
  width: 100%;
  height: 350px;
  overflow: hidden;
  border-radius: 8px;
}

.map-container iframe {
  width: 100%;
  height: 100%;
  border: none;
}